package cn.com.jdkj;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@EnableTransactionManagement
@EnableDiscoveryClient
@EnableFeignClients
@EnableAsync
@ServletComponentScan
@SpringBootApplication
@MapperScan(basePackages = {"cn.com.jdkj.customer.mapper"})
@EnableSwagger2
public class BobiLeisureApplication {

    public static void main(String[] args) {
        SpringApplication.run(BobiLeisureApplication.class, args);
    }
}
