package cn.com.jdkj.aspect;

import org.aspectj.lang.ProceedingJoinPoint;
import org.aspectj.lang.annotation.Around;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Pointcut;
import org.slf4j.MDC;
import org.springframework.stereotype.Component;

import java.util.UUID;

/**
 *
 * @ClassName: LogMdcAspect
 * @Description:
 * @Author jyy
 * @DateTime 2022年1月12日 下午6:02:37
 */
@Aspect
@Component
public class LogMdcAspect {
    private static final String UNIQUE_ID = "traceId";

    @Pointcut("@annotation(org.springframework.scheduling.annotation.Scheduled))")
    public void logPointCut() {
    }

    //@Pointcut("execution(* com.birdsh.paradise.services.video.impl.TaskServiceImpl.doMsg(..))")
    //public void logPointCut1() {
    //}

    @Around("logPointCut()")
    public Object around(ProceedingJoinPoint point) throws Throwable {
    	//if(StringUtils.isEmpty(MDC.get(UNIQUE_ID)))
    		//return point.proceed();
        MDC.put(UNIQUE_ID, UUID.randomUUID().toString().replace("-",""));
        Object result = point.proceed();// 执行方法
        MDC.remove(UNIQUE_ID);
        return result;
    }

//    @Around("logPointCut1()")
//    public Object around1(ProceedingJoinPoint point) throws Throwable {
//        MDC.put(UNIQUE_ID, UUID.randomUUID().toString().replace("-",""));
//        Object result = point.proceed();// 执行方法
//        MDC.remove(UNIQUE_ID);
//        return result;
//    }
}
