package cn.com.jdkj.config;

import cn.com.jdkj.annotation.OutServer;
import com.github.xiaoymin.knife4j.spring.annotations.EnableKnife4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.service.Contact;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * @Description: swagger全新UI
 * @Author: 竺森洋
 */
@EnableSwagger2
@EnableKnife4j
@Configuration
public class Knife4jConfiguration {

    /** 生产环境可改为 false（改为false后 swagger将不能使用）*/
    @Value("${knife4j.enable:true}")
    private boolean knife4jEnable;

//    @Bean(value = "defaultApi")
//    public Docket defaultApi2() {
//        Docket docket=new Docket(DocumentationType.SWAGGER_2)
//                .apiInfo(apiInfo())
//                //分组名称
//                .groupName("测试接口")
//                .select()
//                //这里指定Controller扫描包路径
//                .apis(RequestHandlerSelectors.withClassAnnotation(RestController.class))
//                .paths(PathSelectors.any())
//                .build();
//        return docket;
//    }

//    @Bean(value = "defaultApi3")
//    public Docket defaultApi3() {
//        Docket docket=new Docket(DocumentationType.SWAGGER_2)
//                .apiInfo(apiInfo())
//                //分组名称
//                .groupName("对外接口")
//                .select()
//                //这里指定Controller扫描包路径
//                .apis(RequestHandlerSelectors.withMethodAnnotation(OutServer.class))
//                .paths(PathSelectors.any())
//                .build();
//        return docket;
//    }
    private ApiInfo apiInfo() {
        return new ApiInfoBuilder()
                .title("Spring Boot Knife4j or swagger-bootstrap-ui API V1.0")
                .description("swagger-bootstrap-ui-demo RESTful APIs")
                .version("1.0")
                .build();
    }

}
