package cn.com.jdkj.constant;

public enum ReturnCode {
	/**
	 *
	 */
    Operation_Errored(0, "操作失败！"),
    Operation_Succeeded(1, "操作成功！"),
    Internal_Server_Error(2, "服务器内部错误！"),
	Parameters_Incomplete(3, "传参不全！"),
	File_Exist_Error_Data(1, "存在错误数据"),

    Params_Error(100, "请求参数错误"),
	Parameters_Sign_Error(101, "参数签名错误"),
    Password_Error(104, "密码错误"),
    Account_Error(1015, "账号不存在"),
    Account_Exist(1025, "账号已存在"),
    ACCOUNT_FROZEN(1035, "账号冻结"),
	OPENID_IS_EMPTY(1036,"openid为空"),
	OPENID_NOT_BIND(1037,"openid未绑定"),
	WX_USER_IS_NULL(1038,"微信用户不存在"),
	Visited_too_frequently(10001, "请求太频繁，请稍后再试"),

	ACCOUNT_UNUSUAL(1050, "账户异常，请联系客服"),

	Package_Name_Exis(1400,"套餐名不能与已上架的钻石套餐名称相同"),
	Package_Price_Exis(1401,"套餐金额不能与已上架的钻石套餐金额相同"),
	Package_Not_Exis(1400,"此钻石套餐不存在"),
	Diamond_Amount_Only_Integer(1402,"钻石数量仅支持整数"),
	Diamond_Price_Not_Null(1403,"套餐金额不能为空"),
	Diamond_TOO_MUCH(1404,"钻石充值超过每日上限"),
	Diamond_ORDER_NOT_EXSIT(1405,"钻石订单不存在"),
	Diamond_UNABLE_CANCEL(1406,"此钻石订单不支持退款"),
	empty_tel(50001, "手机号为空"),
	repeat_tel(50000, "手机号重复"),
	UserInfo_noChange(50002, "用户信息无更新"),
	Package_receive_noRight(50004, "vip等级低于礼包所需等级"),
	Package_receive_allReady(50005, "会员礼包已领取"),
	Vip_Package_NotConfig(50006, "会员礼包未配置"),
	error_sign(50007, "签名错误"),
	vip_package_status(50008, "同步vip礼包领取情况"),
	supplier_exist(50009, "供应商名称已存在"),
	vipAndPackageNoChange(50010, "周三会员日+海哥礼包配置未修改该"),
	VipLevelGetError(50011, "云端校验用户VIP等级失败"),
	apiReject(50012, "系统繁忙，请稍后再试！"),
	empty_cid(50003, "cid为空"),
	TOO_LONG_TEXT(50004,"文本内容过长"),

	appId_Empty(20001, "appId不存在"),
	appInfo_error(20002, "app信息校验错误"),
	cid_error(20003, "cid不存在"),
	error_sign_forValueAdd(20004, "签名错误"),
	param_lose(20005, "缺少参数"),
	server_error(20006, "服务端错误"),
	packageName_notExist(20007, "包名不存在"),
	password_error(20008, "密码错误"),
	empty_param(20009, "参数为空"),
	Code_Send_Fail(20010, "验证码发送失败"),
	Code_Get_many(20011, "验证码获取超过限制"),
	header_lose(20012, "缺少httpHeader参数"),
	Code_error(20013, "验证码错误"),
	BXT_error(20014, "繁星平台错误"),
	user_not_exist(20015, "用户不存在"),
	wechat_binded(20016, "微信已绑定"),
	phone_format_error(20017, "请输入正确的手机号"),
	passoword_error(20018, "账号或密码不正确"),
	unbind_user_error(20019, "解绑用户错误"),
	error_bxt_user_info(20020, "繁星用户信息错误"),
	Error_Signature(20056, "签名不正确！"),
	Error_pwd(20057, "两次输入密码不一致！"),
	user_exist(20058, "账号已存在"),

    Empty_Token(20051, "token为空！"),
    Error_Token(20052, "token错误！"),
    Overdue_Token(20053, "token过期！"),
	user_error(20054,"用户信息不一致"),
	user_status_error(20055,"用户已禁用"),

	EXCHANGE_BOBY_TIMES_NOT_ENOUGH(20100,"剩余次数不足"),
	EXCHANGE_FAIL(20101,"流量兑换失败"),
	EXCHANGE_BALANCE_NOT_ENOUGH(20102,"兑换券不足"),
	EXCHANGE_ADD_REPEAT(20102,"新增兑换券重复"),
	EXCHANGE_ORDER_IS_EMPTY(20102,"第三方订单号不能为空"),
	EXCHANGE_ORDER_SERVER_BUSY(20102,"服务繁忙，稍后再试"),
	EXCHANGE_CONDITION_DISCONTENT(20103,"不满足发放条件"),
	EXCHANGE_MAX(20104,"超出每日兑换上限"),
	EXCHANGE_PERSON_MAX(20105,"超出个人每日兑换上限"),
	GAMECURRENCY_DEDUCTION_FAIL(600001,"游戏币交易失败"),
	GAMECURRENCY_NUMBER(600002,"游戏币交易数量需大于0"),
	GAMECURRENCY_NOT_ENOUGH(600003,"游戏币余额不足"),
	//bxt平台返回错误码
	//token_empty(20051, "token为空"),

	REWARD_RECEIVED(700001,"奖励已领取"),
	NOT_VAILD_TASK(700002,"无效的任务"),
	NOT_VAILD_TASK_REWARD(700003,"无效的任务奖励"),
	NOT_LOGIN(700004,"无对应的登入记录"),
	SETTLEMENT_DETAIL_AUDIT_EXCEPTION(85001, "结算明细审核异常"),
	SETTLEMENT_DETAIL_AMOUNT_EXCEPTION(85002, "结算金额异常"),
	WEEK_SETTLEMENT_NOT_EXIST(85003, "周结算单不存在"),
	WEEK_SETTLEMENT_AUDIT_COMPLETE(85004, "周结算单已审核"),
	WEEK_SETTLEMENT_STATUS_ERROR(85005, "周结算单状态错误"),
	EXIST_NOT_CONFIRM_SETTLEMENT(85006, "存在未确认的结算明细"),
	SETTLE_WITHDRAW_AMOUNT_EXCEPTION(85007, "结算用户提现金额异常"),
	WEEK_SETTLEMENT_AUDITED_EMPTY(85008, "未查询到已审核完成的周结算单"),
	WEEK_SETTLEMENT_EXPORT_EXCEPTION(85009, "周结算单导出异常"),
	APPLY_WITHDRAW_BALANCE_EXCEPTION(85010, "余额不足，请重新输入提现金额"),
	WEEK_SETTLEMENT_ALREADY_EXIST(85011, "周结算单已存在"),
	WITHDRAW_MAX(85012, "超出本日提现最大额度"),

	RETURN_PRINCIPAL_UPPER_LIMIT_MORE_TOTAL_SALES_AMOUNT(90001, "回报本金区间上限不得超过总营业额"),


	TOO_MANY_DATA(623901,"数据超过60000条或无数据，请重新筛选"),
	Error_Prompt(10001, "无法完成请求，提示码：10001"),

	Scratch_Config_Error(86001, "刮刮卡参数错误"),
	Scratch_Sold_Out(86002, "刮刮卡已刮完"),
	Number_Scratch_Sold_Out(86005, "幸运数字刮刮卡已刮完"),
	Scratch_Params_Error(86003, "刮刮卡查询参数错误"),
	Scratch_No_Award(86004, "刮刮卡查询参数错误"),
	WelfareConfigIdError(87001, "福利社配置id错误"),
	WelfareAwardHasGet(87002, "福利已领取"),
	WelfareCanNotGet(87003, "不满足领奖条件"),
    LegendNoBalance(87003, "传奇元宝余额不足"),
	LegendErrorParam(87003, "错误参数"),
	LegendVotingTimeParam(87004, "活动结束时间不得早于开始时间"),
	LegendVotingTimeBeforeNow(87004, "活动结束时间不得早于当前时间"),
	LegendVotingTimeError(87004, "活动结束时间与其他活动时间重合"),
	LegendVotingNoConfig(87005, "活动配置不存在"),
	LegendVotingConfigCanNotUpdate(87006, "仅可编辑未开始的活动配置"),
	LegendVotingConfigEroorPhone(87006, "排行榜数据存在重复手机号"),
	LegendVotingTaskNoReward(87007, "无可领取奖励"),
	LegendVotingNoActivities(87008, "无进行中的活动"),
	LegendVotingConfigInUse(87009, "活动正在进行中不可操作"),
	LegendVotingPassMaxNum(87009, "今日投票已达上限"),
	LegendVotingNoRankFile(87010, "无排行配置文件"),
	ExchangeMallErrorOrder(87011, "无效的订单"),
	ExchangeMallErrorGoods(87012, "商品已下架~"),
	ExchangeMallErrorActivities(87013, "无效的活动"),
	ExchangeMallErrorActivitiesGoods(87013, "无效的活动商品"),
	UserAddressNoId(87014,"请选择正确的收货地址"),
	ExchangeMallErrorActivitiesTimeIsNull(87015, "兑换商城活动时间不能为空"),
	ExchangeMallErrorActivitiesNameIsNull(87016, "兑换商城活动名称不能为空"),
	ExchangeMallErrorActivitiesStatusIsNull(87017, "兑换商城活动状态不能为空"),
	ExchangeMallErrorActivitiesIdIsNull(87018, "兑换商城活动id不能为空"),
	ExchangeMallOrderLogisticsNoIsNull(87019, "物流单号不能为空"),
	ExchangeMallErrorActivitiesGoodsIsNull(87020, "您还未做出任何修改操作, 不能进行更新"),
	ExchangeMallActivitiesGoodsUpdateError(87021, "兑换商城活动商品更新失败"),
	ExchangeMallActivitiesGoodsInsertError(87022, "兑换商城活动商品插入失败"),
	ExchangeMallActivitiesGoodsDeleteError(87023, "兑换商城活动商品逻辑删除失败"),
	ExchangeMallErrorActivitiesTimeFormatError(87024, "兑换商城活动时间格式错误"),
	ExchangeMallErrorActivitiesNameIsRepeat(87025, "输入的兑换商城活动名称已存在"),
	ExchangeMallErrorActivitiesGoodsIsExist(87026, "提交的活动商品中包含已存在该活动中的商品,请勿重复添加相同种类的商品"),
	ExchangeMallErrorActivitiesGoodsAllPriceIsNull(87027, "兑换商城活动商品的游戏币、兑换券价格不能同时为空"),
	ExchangeMallErrorActivitiesGoodsDelFlagIsNull(87028, "兑换商城活动商品的删除标识不能为空"),
	ExchangeMallErrorActivitiesIsInProcess(87029, "兑换商城活动进行中,不能进行删除操作"),
	ExchangeMallErrorActivitiesDurationLessThan30Minutes(87030, "兑换商城活动时间间隔不能小于30分钟"),
	ExchangeMallErrorActivitiesGoodsSumLessThanThree(87031, "兑换商城活动商品数量不能小于3个"),
	ExchangeMallErrorActivitiesGetFail(87031, "兑换商城活动获取失败"),
	ExchangeMallErrorPayType(87024, "无效的支付类型"),
	ExchangeMallNotPayType(87025, "此商品没有你选择的支付类型"),
	ExchangeMallMaxTimes(87026, "超出此商品的每日最高兑换次数"),
	ExchangeMallErrorActivitiesTimeIsEqual(87032, "兑换商城活动开始时间和结束时间不能相同"),
	ExchangeMallErrorActivitiesCrossDayIsExist(87033, "上架状态的跨天的兑换商城活动只能存在一个"),
	ExchangeMallErrorActivitiesTimeIntersection(87034, "输入的兑换商城活动时间不能与已有的上架状态活动的时间重叠"),
	ExchangeMallErrorActivitiesInsertError(87035, "兑换商城活动新增失败"),
	ExchangeMallErrorActivitiesUpdateError(87036, "兑换商城活动编辑失败"),
	No_CouponPrice_Or_GameCurrencyPrice(88001,"游戏币、兑换券至少选择一个"),
	Sort_Is_The_Same(88002,"存在相同排序的分类，请重新输入排序数字"),
	No_CouponPriceFlag_Or_GameCurrencyPriceFlag(88003,"游戏币、兑换券至少选择一个"),
	Stock_Is_Error(88004,"库存不能小于0或大于99999"),
	MaxExchangeTimes_Is_Null(88005,"每日最高兑换次数不能为空"),
	SerialNumber_Repeat(88006,"该序号已经存在，请重新输入"),
	ORDER_IS_NOT_EXSIT(88006,"订单编号不存在"),
	ORDER_IS_OVER(88006,"订单已完结"),

	Book_Type_Delete_Error(88007,"该类型下有书籍存在，请先清空类型下绑定书籍再进行删除"),
	CategoryName_Is_The_Same(88008,"存在相同的二级分类名，请重新输入"),
	Exist_Goods(88009,"该分类下存在商品，无法删除"),
	Exist_PutOn_Goods(88010,"该分类下存在上架中的商品，无法下架该分类"),
	NOT_Exist_Category_Goods(88011,"该商品所属分类未上架，请先上架分类"),
	Activity_Goods_Can_Not_Delete(88012,"该商品属于活动商品，无法删除"),
	Activity_Goods_Can_Not_TakeOff(88013,"该商品属于活动商品，无法下架"),
	userAddressMaxNumError(88014,"最多添加10个地址，请删除后添加"),
    userAddressErrorUser(88015,"无法操作不存在的地址"),
	Book_Order_Purchased(88014,"此用户已经购买此书"),
	Book_Bookshelf_Added(88015,"已经将此书加入书架"),
	Goods_Name_is_The_Same(88016,"存在相同的商品名称，请重新输入"),
	Bo_Bi_Num_Is_Null(88017,"请输入波贝发放数额"),
	Activity_is_over(88018,"活动已结束"),
	Activity_is_error(88019,"兑换失败，请刷新页面重试"),
	Book_Order_Error(88020,"没有足够的游戏币"),
	exchangeNoAddress(88021,"请补充收货信息"),
	Real_Stock_Is_Null(88022,"实物商品库存不能为空"),
	Book_Parse_Is_Null(88023,"书籍解析错误，与系统正则不匹配"),
	Book_no_chapter(88024,"书籍缺少章节信息,请补充后上传"),
	Book_read_end(88025,"没有下一章了"),
	Book_not_buy(80027,"小说未购买"),
	Stock_not_enough(88026,"来晚了，商品已兑完~"),
	wx_user_no_exeist(88100,"微信用户不存在"),
	SING_ACTIVITY_START_TIME_ERROR(88027,"活动开始时间最早为当天"),
	SING_ACTIVITY_END_TIME_ERROR(88028,"活动结束时间最早为当天"),
	SING_ACTIVITY_NAME_REPEAT(88029,"活动名称重复，请修改活动名称"),
	SING_ACTIVITY_URL_ERROR(88030,"活动音视频链接地址错误"),
	Failed_To_Query_The_Total_Rank(88031,"查询总榜排名失败"),
	Excel_Data_Is_Null(88032,"表格内数据为空"),
	Excel_Data_Is_Over_1000(88033,"表格内数据超过1000条"),
	Excel_Row_Content_Is_Incomplete(88034,"未填写必填数据"),

	GAME_CURRENCY_PACKAGE_NOT_EXIST(88035,"k歌游戏币套餐不存在"),
	Failed_To_Query_The_Activity(88036,"查询活动榜排名失败,数据库异常"),
	Vote_Has_Voted(88037,"已经投过当前票了"),
	Receive_Max_Num(88038,"得票次数已达上限"),
	Game_Currency_Not_Enough(88039,"游戏币不足"),
	Vote_Activity_Not_Started(88040,"投票活动未处于进行中"),
	The_Account_Has_Been_Bound(88041,"该账号已被绑定"),
	ERROR_CHANNEL(10000,"无效渠道"),
	CHANNEL_DOWN(10001,"渠道已下架"),
	ERROR_SIGN(9000,"无效的签名"),
	INVALID_TOKEN(9001,"无效的令牌或令牌已过期"),
	UPLOAD_ERROR(9002,"上传失败"),
	WRONG_PASSWORD(9003,"密码错误"),
	USERNAME_EXSIT(9004,"用户名已存在"),
	USERNAME_NOT_EXSIT(9004,"用户名不存在"),
	MENU_NOT_EXSIT(9005,"菜单不存在"),
	ERROR_PASSWORD_USERNAME(9006,"账号或密码错误"),
	ERROR_PERMISSION(9007,"权限不足"),
	IMAGE_NOT_EXSIT(9008,"图片不存在"),
	IMAGE_HAS_BUY(9009,"图片已购买，请勿重复购买"),
	GAME_NOT_EXSIT(9010,"游戏不存在"),
	PACKAGE_NOT_EXSIT(9011,"套餐不存在"),
	PACKAGE_IS_UP(9011,"请在套餐加下后操作"),
	COUPON_LIMIT(9012,"兑换券超出单日可获得上限"),

	wechat_code_invalid(9014, "微信code无效"),
	EDIT_SALES_NUM_TOO_SMALL(9015,"套餐销量不可减少"),
	DAY_COUPON_SOUCRE_ERROR(9016,"此玩法每日获取兑换券超出上限"),
	SUM_COUPON_SOUCRE_ERROR(9017,"此玩法获取兑换券超出总上限"),
	COUPON_GET_ERROR(9018,"兑换券发放异常，稍后再试"),
	CONFIG_NO_LEVEL(90018,"配置未指定风控等级"),
	ERROR_DATE_STRING(90019,"错误的日期,请检查日期格式yyyy-MM-dd hh:mm:ss"),
	END_TIME_IS_BEFORE_START_TIME(90020,"结束时间早于起始时间"),
	NO_END_TIME(90021,"未设定结束时间"),
	ERROR_PACKAGE(90022,"套餐不存在"),
	USER_AUTHENTICATION(90023,"请先在迪泰APP完成实名认证"),
	END_TIME_BEFORE_START_TIME(90024,"结束时间不可早于起始时间"),

	//=============== 流量加油站 ======================
	GAS_STATION_BATCH_EMPTY_ERROR(91001, "流量加油站暂无期次活动"),
	GAS_STATION_AWARD_EXPIRE_ERROR(91002, "奖项超过领取时间，领取失败"),
	GAS_STATION_ERROR_TASK_TYPE(91003,"无效的任务类型"),
	GAS_STATION_ERROR_TASK_CONDS(91003,"无效的任务条件"),
	GAS_STATION_ERROR_TASK_TYPE_CONDS(91003,"任务类型与任务条件不匹配"),
	GAS_STATION_AWARD_CONFIG_ERROR(91004,"销售额区间与其他配置有冲突"),
	GAS_STATION_AWARD_CONFIG_ERROR_AMOUNT(91004,"销售额区间最大值小于最小值"),


	BANNER_NOT_EXIST(91005,"banner不存在"),
	BANNER_IS_UP(91005,"请下架后操作."),

	NOTICE_NOT_EXIST(91006,"公告不存在"),
	NOTICE_IS_UP(91006,"请下架后操作"),

	LV_POWER_PARAM_ERROR(92000,"此等级的权益配置低于低等级的权益配置，请认真核验"),
	LV_IS_EXSIT(92000,"此等级已存在,不可新增"),
	ERROR_LV(92001,"错误的等级"),
	ERROR_CODE(92002,"无效的邀请码"),
	ERROR_PERSON_CODE(92002,"无效的个人码"),
	ERROR_PHONE(92002,"无效的手机号"),
	TEAM_NOT_OUT(92003,"您已有队伍，请在退队后操作"),
	NO_TEAM(92004,"尚无队伍"),
	NOT_OUT_TIME(92005,"暂不可退团"),
	GOODS_NOT_EXSIT(92006,"商品不存在"),
	OVER_TIMES(92007,"超出兑换次数"),
	GOODS_LV_ERROR(92008,"商品所需等级高于当前等级"),
	BALANCE_ERROR(92009,"余额不足"),
	TEAM_LIMIT(92010,"团队人数已满"),
	CAN_NOT_JOIN_SELF(92011,"不可加入自己的队伍"),
	ERROR_LINK(92012,"无效的邀请链接"),
    LEADER_LV_TOO_LOW(92013,"团长等级过低，请联系团长升级后再加入"),
	LEADER_HAVETO_LV_UP(92014,"团队人数已满，请联系团长升级后再加入"),
	ERROR_TIME(92015,"时间格式错误"),

	ACTIVE_HAS_OPEN(92016,"已有启用中的活动"),
	BOT_ADD_MIN_GREATE_MAX(92017,"虚拟用户增长最小值高于最大值"),
	BOT_NUM_MIN_GREATE_MAX(92018,"虚拟用户刷新数量最小值高于最大值"),
	BOT_COUPON_GREATE_SUM(92019,"虚拟用户回收奖励高于总奖池"),
	RANK_START_IN_OTHER_DETAIL(92019,"排名分布存在冲突"),
	ACTIVE_IS_OPEN(92020,"此活动正在启用中"),
	ACTIVE_NOT_START(92021,"活动尚未开始"),
	ACTIVE_NOT_EXSIT(92022,"活动不存在"),
	COUPON_RATIO_ERROR(92023,"奖励分配百分比之和必须为100%"),
	WEIGHT_ERROR(920024,"重量输入错误或超出长度"),
	PACAKGE_NOT_EXSIT(920025,"红包不存在"),
	PACKAGE_HAS_GRAB(920026,"红包已领取，不可重复领取"),
	PACKAGE_NO_BALANCE(920026,"红包已领完"),
	PACKAGE_EXPIRE(920027,"红包已过期"),
	USER_ID_NOT_NULL(920028,"缺少用户id"),
	FACE_NOT_EXSIT(920029,"红包封面不存在"),
	WX_PAY_ERROR(920030,"微信支付暂时无法使用，请使用支付宝支付"),
	PLATFORM_PACKAGE_CONFG_ERROR(920031,"红包设置参数错误"),
	PACKAGE_STATUS_ERROR(920032,"只能下架未开始的红包"),
	PACKAGE_IS_DOWN(920034,"红包已被下架"),
	PACKAGE_BATCH_NO_CREATE(920035,"红包批次尚未生成"),
	PACKAGE_NOT_BEGIN(920036,"红包活动未开始"),
	PACKAGE_IS_OVER(920037,"红包活动未开始"),
	PACKAGE_CHANCE_OVER(920037,"红包机会不足"),
	MIN_PAY_IS_TOO_BIG(920038,"最小充值额度必须小于最大充值额度"),
	MIN_MAX_PAY_ERROR(920038,"最小/最大充值额度与其他等级冲突"),
	LV_IS_NOT_EXSIT(920039,"等级不存在"),
	LV_IS_USEING(920040,"等级正在使用中"),
	AGENT_IS_NOT_EXSIT(920041,"用户不存在"),
	HAS_AGENT_CODE(920042,"验证码发送频繁"),
	ERROR_SMS_CODE(920043,"无效的验证码"),
	ERROR_FUN_USER(920044,"无效的娱乐用户"),
	USER_HAS_BIND(920045,"用户已绑定,不可重复绑定"),
	FUN_USER_HAS_BIND(920045,"娱乐账户已绑定其他账号"),
	FUN_USER_NOT_BIND(920055,"娱乐账户尚未激活绑定"),
	;



    ReturnCode(Integer code, String detail) {
        this.code = code;
        this.detail = detail;
    }


    public static ReturnCode getByCode(int code) {
        for (ReturnCode tradeStatus : values()) {
            if (tradeStatus.getCode() == code) {
                return tradeStatus;
            }
        }
        return null;
    }

	/** 返回码 */
    private Integer code;
    /** 返回内容详情 */
    private String detail;

	public Integer getCode() {
		return code;
	}
	public String getDetail() {
		return detail;
	}

}
