package cn.com.jdkj.customer.controller;

import cn.com.jdkj.annotation.CheckSign;
import cn.com.jdkj.customer.dto.LoginDto;
import cn.com.jdkj.customer.dto.QuestionDto;
import cn.com.jdkj.customer.dto.RegisterDto;
import cn.com.jdkj.customer.service.CustomerService;
import cn.com.jdkj.entity.ResultBean;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;

@RestController
@RequestMapping("/customer")
@RequiredArgsConstructor
@Slf4j
public class CustomerController {

    final CustomerService customerService;

    @GetMapping("/login")
    @ApiOperation("登入")
    @CheckSign
    public ResultBean login(LoginDto dto){
        return customerService.login(dto);
    }

    @GetMapping("/register")
    @ApiOperation("注册")
    @CheckSign
    public ResultBean register(RegisterDto dto){
        return customerService.register(dto);
    }
    @PostMapping("/question")
    @ApiOperation("访问问题(返回文本")
    @CheckSign
    public ResultBean question(@RequestBody QuestionDto dto){
        return customerService.question(dto);
    }
    @GetMapping("/questionToAudio")
    @ApiOperation("访问问题(返回音频流")
    @CheckSign
    public void questionToAudio(QuestionDto dto, HttpServletResponse response){
        customerService.questionToAudio(dto, response);
    }
}
