package cn.com.jdkj.customer.service.imp;

import cn.com.jdkj.constant.TokenKey;
import cn.com.jdkj.customer.service.BaiduService;
import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import com.alibaba.fastjson.JSONObject;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.redisson.api.RBucket;
import org.redisson.api.RedissonClient;
import org.springframework.stereotype.Service;

import java.io.InputStream;
import java.util.concurrent.TimeUnit;

@Service
@Slf4j
@RequiredArgsConstructor
public class BaiduServiceImpl implements BaiduService {

    final RedissonClient redisson;

    @Override
    public InputStream text2audio(String text) {
        HttpRequest request = HttpRequest.get("http://tsn.baidu.com/text2audio");
        String token = getToken();
        log.info("baidu acess_token:{}",token);
        request.form("tok",token);
        request.form("tex",text);
        request.form("cuid","10.0.60.37");
        request.form("ctp","1");
        request.form("lan","zh");
        Long start = System.currentTimeMillis();
        HttpResponse response = request.execute();
        Long end = System.currentTimeMillis();
//        log.info("response:{}",response.body());
        log.info("转音频文本长度:{},耗时:{}ms",text.length(),end-start);
        return response.bodyStream();
    }

    String getToken(){
        RBucket<String> rBucket = redisson.getBucket(TokenKey.BAIDU_TOKEN);
        if (rBucket.get()==null){
            return getNewToken();
        }else {
            return rBucket.get();
        }
    }
    String getNewToken(){
        HttpRequest request = HttpRequest.get("https://aip.baidubce.com/oauth/2.0/token");
        request.form("grant_type","client_credentials");
        request.form("client_id","SQ8wQ4Fv44gvB3OLCZAoNY5T");
        request.form("client_secret","U2m4OngU25sjDHH5p6y4oOGGohM2AVBF");
        HttpResponse response = request.execute();
        JSONObject jsonObject = JSONObject.parseObject(response.body());
        Long expires_in = jsonObject.getLong("expires_in");
        String token = jsonObject.getString("access_token");
        RBucket<String> rBucket = redisson.getBucket(TokenKey.BAIDU_TOKEN);
        rBucket.set(token,expires_in, TimeUnit.SECONDS);
        log.info("baidu accessToken:{}",token);
        return token;
    }

}
