package cn.com.jdkj.entity;

import cn.com.jdkj.enums.ReturnCode;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ResultBean<T> {

    @ApiModelProperty("返回码")
    private Integer code;

    @ApiModelProperty("返回信息")
    private String message;

    @ApiModelProperty("数据")
    private T data;
    public static <T>ResultBean succsess(){
        return new ResultBean(ReturnCode.SUCCESS.getCode(),"",null);
    }
    public static <T>ResultBean succsess(T data){
        return new ResultBean(ReturnCode.SUCCESS.getCode(),"",data);
    }
    public static <T>ResultBean succsess(T data,String message){
        return new ResultBean(ReturnCode.SUCCESS.getCode(),message,data);
    }
    public static ResultBean error(ReturnCode code){
        return new ResultBean(code.getCode(),code.getMessage(),null);
    }
    public static ResultBean error(Integer code,String message){
        return new ResultBean(code,message,null);
    }
}
