package cn.com.jdkj.exception;

import cn.com.jdkj.constant.ReturnCode;
import cn.com.jdkj.entity.ResultBean;
import cn.dev33.satoken.exception.NotLoginException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.support.DefaultMessageSourceResolvable;
import org.springframework.dao.DuplicateKeyException;
import org.springframework.validation.BindException;
import org.springframework.validation.ObjectError;
import org.springframework.web.bind.MethodArgumentNotValidException;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;
import org.springframework.web.multipart.support.MissingServletRequestPartException;

import javax.validation.ConstraintViolationException;
import java.util.HashMap;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 全局异常捕获处理并返回信息
 *
 * @author HuangChendi
 */
@RestControllerAdvice
public class GlobalExceptionHandler {

    private final Logger logger = LoggerFactory.getLogger(this.getClass());

    @ExceptionHandler({CustomException.class})
    public ResultBean<?> customException(CustomException e) {
        return ResultBean.error(e.getCode(),e.getMessage());
    }
}
