package cn.com.jdkj.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class DateUtils {
	public final static String formatYYMMDD = "yyyy-MM-dd";

	public final static String formatYYMMDD2 = "yyyyMMdd";

	public final static String formatYYMM = "yyyy-MM";

	public final static String formatYM = "yyyyMM";

	public final static String formatHHmm = "HH:mm";

	public final static String formatHHmmss = "HH:mm:ss";

	public final static String formatYYMMDDHHmmss = "yyyy-MM-dd HH:mm:ss";

	public final static String formatYYYYMMDDHHmmss = "yyyyMMddHHmmss";

	public final static String formatYYMMDDHHmmssSSS = "yyyyMMddHHmmssSSS";

	public final static String formatYMForTable = "yyyy_MM";

	public final static String formatYMDDForTable = "yyyy_MM_dd";

	// 获取某一天的零点
	public static Date getDateZero(Date date) {
		if(date == null){
			return date;
		}
		Calendar calendar = Calendar.getInstance(); // 得到日历
		calendar.setTime(date);// 把当前时间赋给日历
		// 将小时至0
		calendar.set(Calendar.HOUR_OF_DAY, 0);
		// 将分钟至0
		calendar.set(Calendar.MINUTE, 0);
		// 将秒至0
		calendar.set(Calendar.SECOND, 0);
		// 将毫秒至0
		calendar.set(Calendar.MILLISECOND, 0);
		return calendar.getTime();
	}

	// 获取某一天的二十三点五十九分五十九秒
	public static Date getDateTwentyFour(Date date) {
		if(date == null){
			return date;
		}
		Calendar calendar = Calendar.getInstance(); // 得到日历
		calendar.setTime(date);// 把当前时间赋给日历
		// 将小时至23
		calendar.set(Calendar.HOUR_OF_DAY, 23);
		// 将分钟至59
		calendar.set(Calendar.MINUTE, 59);
		// 将秒至59
		calendar.set(Calendar.SECOND, 59);
		// 将毫秒至0
		calendar.set(Calendar.MILLISECOND, 0);
		return calendar.getTime();
	}



	/**
	 * @Title: formatDate @Description: 转换时间格式 @param @param date @param @param
	 * format @param @return 参数说明 @return String 返回类型 @throws
	 */
	public static String formatDate(Date date, String format) {
		SimpleDateFormat sdf = new SimpleDateFormat(format);
		return sdf.format(date);
	}

	public static Date StringToDate(String dateStr) throws ParseException {
		if(dateStr ==null){
			return null;
		}
		SimpleDateFormat sf = new SimpleDateFormat(formatYYMMDD);
			//使用SimpleDateFormat的parse()方法生成Date
			Date date = sf.parse(dateStr);
			//打印Date
			System.out.println(date);
			return date;
	}

	public static Date strToDate(String str, String format) {
		SimpleDateFormat sdf = new SimpleDateFormat(format);
		try {
			return sdf.parse(str);
		} catch (ParseException e) {
			e.printStackTrace();
		}
		return null;
	}
}
